# class Chef::Resource::ConditionalActionNotNothing

### Attributes

current_action[R]

### Public Class Methods

new(current_action) click to toggle source

    # File lib/chef/resource/conditional_action_not_nothing.rb, line 25
    def initialize(current_action)
      @current_action = current_action
    end

### Public Instance Methods

continue?() click to toggle source

    # File lib/chef/resource/conditional_action_not_nothing.rb, line 29
    def continue?
      # @positivity == not_if
      @current_action != :nothing
    end

description() click to toggle source

    # File lib/chef/resource/conditional_action_not_nothing.rb, line 38
    def description
      "action :nothing"
    end

short_description() click to toggle source

    # File lib/chef/resource/conditional_action_not_nothing.rb, line 34
    def short_description
      description
    end

to_text() click to toggle source

    # File lib/chef/resource/conditional_action_not_nothing.rb, line 42
    def to_text
      "not_if { action == :nothing }"
    end